List ResourceGroup permission policies
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}/{resourceGroupId}/permissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}/{resourceGroupId}/permissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}/{resourceGroupId}/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"version": 123,
"name": "<string>",
"permissionPolicy": [
{
"action": [],
"resource": [
"<string>"
]
}
],
"managedPolicy": true,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
],
"nextToken": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}List ResourceGroup permission policies
Retrieve a list of permission policies for a ResourceGroup
GET
/
organizations
/
{orgId}
/
resourcegroups
/
{type}
/
{resourceGroupId}
/
permissions
List ResourceGroup permission policies
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
The type of resource
UUID of the ResourceGroup
Query Parameters
Number of PermissionPolicy entities to retrieve per page
Required range:
1 <= x <= 100nextToken for multi page retrievals
⌘I